Package org.apache.storm.streams.processors

# Class ChainedProcessorContext<T>

java.lang.Object
org.apache.storm.streams.processors.ChainedProcessorContext<T>

All Implemented Interfaces:
  `Serializable`, `ProcessorContext<T>`

public class ChainedProcessorContext<T> extends Object implements ProcessorContext<T>
A composite context that holds a chain of `ProcessorContext`.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChainedProcessorContext(ProcessorNode processorNode, List<? extends ProcessorContext> contexts)`
  `ChainedProcessorContext(ProcessorNode processorNode, ProcessorContext... contexts)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `forward(T input)`
  Forwards the input to all downstream processors.
  `void`
  `forward(T input, String stream)`
  Forwards the input to downstream processors at specified stream.
  `Set<String>`
  `getWindowedParentStreams()`
  Returns the windowed parent streams.
  `boolean`
  `isWindowed()`
  Returns true if the processing is in a windowed context and should wait for punctuation before emitting results.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChainedProcessorContext

    public ChainedProcessorContext(ProcessorNode processorNode, List<? extends ProcessorContext> contexts)

  - ### ChainedProcessorContext

    public ChainedProcessorContext(ProcessorNode processorNode, ProcessorContext... contexts)

- ## Method Details

  - ### forward

    public void forward(T input)
    Description copied from interface: `ProcessorContext`
    Forwards the input to all downstream processors.
    Specified by:
      `forward` in interface `ProcessorContext<T>`
    Parameters:
      `input` - the input

  - ### forward

    public void forward(T input, String stream)
    Description copied from interface: `ProcessorContext`
    Forwards the input to downstream processors at specified stream.
    Specified by:
      `forward` in interface `ProcessorContext<T>`
    Parameters:
      `input` - the input
      `stream` - the stream to forward

  - ### isWindowed

    public boolean isWindowed()
    Description copied from interface: `ProcessorContext`
    Returns true if the processing is in a windowed context and should wait for punctuation before emitting results.
    Specified by:
      `isWindowed` in interface `ProcessorContext<T>`
    Returns:
      whether this is a windowed context or not

  - ### getWindowedParentStreams

    public Set<String> getWindowedParentStreams()
    Description copied from interface: `ProcessorContext`
    Returns the windowed parent streams. These are the streams where punctuations arrive.
    Specified by:
      `getWindowedParentStreams` in interface `ProcessorContext<T>`
    Returns:
      the windowed parent streams